from src.neo_neo_todo.models.member import select_member_by_email, select_member_by_id


async def test_model_member_select_by_email(db_pool):
    member = await select_member_by_email(db_pool, "member@todo.test")
    assert member is not None
    assert member.email == "member@todo.test"


async def test_model_member_select_by_id(db_pool):
    member = await select_member_by_id(db_pool, 1)
    assert member is not None
    assert member.id == 1
